Index: src/libcfa/stdlib.c
===================================================================
--- src/libcfa/stdlib.c	(revision 6b6597c4520b64fdb6397f1de6a7497d55cccc40)
+++ src/libcfa/stdlib.c	(revision 6e991d61d3d430d19f91624ec57c3454edee668a)
@@ -10,6 +10,6 @@
 // Created On       : Thu Jan 28 17:10:29 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Tue Apr 19 21:21:51 2016
-// Update Count     : 159
+// Last Modified On : Thu Apr 21 07:58:29 2016
+// Update Count     : 165
 //
 
@@ -24,5 +24,5 @@
 #include <malloc.h>										// malloc_usable_size
 #include <math.h>										// fabsf, fabs, fabsl
-#include <complex.h>									// _Complex_I, cabsf, cabs, cabsl
+#include <complex.h>									// _Complex_I
 } // extern "C"
 
@@ -82,30 +82,30 @@
 int ato( const char * ptr ) {
 	int i;
-	if ( sscanf( ptr, "%d", &i ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%d", &i ) == EOF ) {}
 	return i;
 }
 unsigned int ato( const char * ptr ) {
 	unsigned int ui;
-	if ( sscanf( ptr, "%u", &ui ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%u", &ui ) == EOF ) {}
 	return ui;
 }
 long int ato( const char * ptr ) {
 	long int li;
-	if ( sscanf( ptr, "%ld", &li ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%ld", &li ) == EOF ) {}
 	return li;
 }
 unsigned long int ato( const char * ptr ) {
 	unsigned long int uli;
-	if ( sscanf( ptr, "%lu", &uli ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%lu", &uli ) == EOF ) {}
 	return uli;
 }
 long long int ato( const char * ptr ) {
 	long long int lli;
-	if ( sscanf( ptr, "%lld", &lli ) == EOF ) {}		// check return code
+	if ( sscanf( ptr, "%lld", &lli ) == EOF ) {}
 	return lli;
 }
 unsigned long long int ato( const char * ptr ) {
 	unsigned long long int ulli;
-	if ( sscanf( ptr, "%llu", &ulli ) == EOF ) {}		// check return code
+	if ( sscanf( ptr, "%llu", &ulli ) == EOF ) {}
 	return ulli;
 }
@@ -113,15 +113,15 @@
 float ato( const char * ptr ) {
 	float f;
-	if ( sscanf( ptr, "%f", &f ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%f", &f ) == EOF ) {}
 	return f;
 }
 double ato( const char * ptr ) {
 	double d;
-	if ( sscanf( ptr, "%lf", &d ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%lf", &d ) == EOF ) {}
 	return d;
 }
 long double ato( const char * ptr ) {
 	long double ld;
-	if ( sscanf( ptr, "%Lf", &ld ) == EOF ) {}			// check return code
+	if ( sscanf( ptr, "%Lf", &ld ) == EOF ) {}
 	return ld;
 }
@@ -129,15 +129,15 @@
 float _Complex ato( const char * ptr ) {
 	float re, im;
-	if ( sscanf( ptr, "%g%gi", &re, &im ) == EOF ) {}	// check return code
+	if ( sscanf( ptr, "%g%gi", &re, &im ) == EOF ) {}
 	return re + im * _Complex_I;
 }
 double _Complex ato( const char * ptr ) {
 	double re, im;
-	if ( sscanf( ptr, "%lf%lfi", &re, &im ) == EOF ) {} // check return code
+	if ( sscanf( ptr, "%lf%lfi", &re, &im ) == EOF ) {}
 	return re + im * _Complex_I;
 }
 long double _Complex ato( const char * ptr ) {
 	long double re, im;
-	if ( sscanf( ptr, "%Lf%Lfi", &re, &im ) == EOF ) {}	// check return code
+	if ( sscanf( ptr, "%Lf%Lfi", &re, &im ) == EOF ) {}
 	return re + im * _Complex_I;
 }	
@@ -221,18 +221,10 @@
 long int abs( long int v ) { return labs( v ); }
 long long int abs( long long int v ) { return llabs( v ); }
-float abs( float v ) { return fabsf( v ); }
-double abs( double v ) { return fabs( v ); }
-long double abs( long double v ) { return fabsl( v ); }
-float _Complex abs( float _Complex v ) { return cabsf( v ); }
-double _Complex abs( double _Complex v ) { return cabs( v ); }
-long double _Complex abs( long double _Complex v ) { return cabsl( v ); }
-
-//---------------------------------------
-
-float floor( float v ) { return floorf( v ); }
-long double floor( long double v ) { return floorl( v ); }
-
-float ceil( float v ) { return ceilf( v ); }
-long double ceil( long double v ) { return ceill( v ); }
+float abs( float x ) { return fabsf( x ); }
+double abs( double x ) { return fabs( x ); }
+long double abs( long double x ) { return fabsl( x ); }
+float abs( float _Complex x ) { return cabsf( x ); }
+double abs( double _Complex x ) { return cabs( x ); }
+long double abs( long double _Complex x ) { return cabsl( x ); }
 
 //---------------------------------------
